Subject: [bug#68543] [PATCH 01/24] gnu: rust-memchr-2: Update to 2.7.1.

From: Nicolas Goaziou <[email-masked]>
Date: Wed, 17 Jan 2024 19:58:28 +0100

Nicolas Goaziou via Guix-patches via <[email-masked]> writes:

> * gnu/packages/crates-io.scm (rust-memchr-2): Update to 2.7.1.

This patch set is a failed attempt to update ripgrep to 14.1.0. All the
crates do build, except ripgrep itself. So I'm sending all the required
updates, in case anyone wants to try upgrading ripgrep.